<html>
<head>
<title>OGRE: OgreSIMDHelper.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_96a9708cfab29525519b2d4762aad636.html">src</a></div>
<h1>OgreSIMDHelper.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreNoMemoryMacros_8h-source.html">OgreNoMemoryMacros.h</a>&quot;</code><br>
<code>#include &lt;xmmintrin.h&gt;</code><br>
<code>#include &quot;<a class="el" href="OgreMemoryMacros_8h-source.html">OgreMemoryMacros.h</a>&quot;</code><br>

<p>
<a href="OgreSIMDHelper_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSIMDHelper_8h.html#751b240bcf7b34507a4e9306be08a0e4">__OGRE_SIMD_ALIGN_STACK</a>()</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="751b240bcf7b34507a4e9306be08a0e4"></a><!-- doxytag: member="OgreSIMDHelper.h::__OGRE_SIMD_ALIGN_STACK" ref="751b240bcf7b34507a4e9306be08a0e4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __OGRE_SIMD_ALIGN_STACK          </td>
          <td>(</td>
&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<b>Value:</b><div class="fragment"><pre class="fragment">{                                                               \
        <span class="comment">/* Use alloca to allocate some memory on the stack.  */</span>     \
        <span class="comment">/* This alerts gcc that something funny is going on, */</span>     \
        <span class="comment">/* so that it does not omit the frame pointer etc.   */</span>     \
        (void)__builtin_alloca(16);                                 \
        <span class="comment">/* Now align the stack pointer */</span>                           \
        __asm__ __volatile__ (<span class="stringliteral">"andl $-16, %esp"</span>);                   \
    }
</pre></div>
<p>Definition at line <a class="el" href="OgreSIMDHelper_8h-source.html#l00067">67</a> of file <a class="el" href="OgreSIMDHelper_8h-source.html">OgreSIMDHelper.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:59 2008
</p>
</body>
</html>
